
#include "Dbfdbe.ch"
#include "Ntxdbe.ch"
#include "Foxdbe.ch"
#include "Cdxdbe.ch"

#define MSG_DBFDBE_NOT_LOADED   "Database-Engine DBFDBE nicht geladen"
#define MSG_NTXDBE_NOT_LOADED   "Database-Engine NTXDBE nicht geladen"
#define MSG_DBFNTX_NOT_CREATED  "DBFNTX Database-Engine;konnte nicht erzeugt werden"

PROCEDURE dbeSys()

   SET COLLATION TO GERMAN
   IF !DbeLoad( "DBFDBE", .T. )
      ALERT( MSG_DBFDBE_NOT_LOADED, { "OK" } )
   ENDIF
   IF !DbeLoad( "NTXDBE", .T. )
      ALERT( MSG_DBFDBE_NOT_LOADED, { "OK" } )
   ENDIF
   IF !DbeBuild( "DBFNTX", "DBFDBE", "NTXDBE" )
      ALERT( MSG_DBFNTX_NOT_CREATED, { "OK" } )
   ENDIF
   IF !DbeLoad( "CDXDBE", .T. )
      ALERT( "Database-Engine CDXDBE nicht geladen", { "OK" } )
   ENDIF
   IF !DbeLoad( "FOXDBE", .T. )
      ALERT( "Database-Engine FOXDBE nicht geladen", { "OK" } )
   ENDIF
   IF !DbeBuild( "FOXCDX", "FOXDBE", "CDXDBE" )
      ALERT( "FOXCDX Database-Engine;konnte nicht erzeugt werden", { "OK" } )
   ENDIF

   // using Cl*pper Comix/SixDrive
   DbeInfo( COMPONENT_DATA, FOXDBE_CREATE_2X, .T. )
   DbeInfo( COMPONENT_DATA, FOXDBE_LOCKMODE, FOXDBE_LOCKMODE_CLIPPER )
   //
   DbeInfo( COMPONENT_ORDER, CDXDBE_MODE, CDXDBE_FOXPRO2X )

   // will give 8999 with Win7 SP1 "RC" 6.1.7601.17105
   // DbeInfo(COMPONENT_ORDER,DBE_LOCKMODE,LOCKING_EXTENDED)
   DbeSetDefault( "FOXCDX" )

RETURN


Procedure Main
LOCAL nOpen  := 0
LOCAL nClose := 0

   SET ALTER TO PDRS19.TXT
   SET ALTER ON

   SET OPTIMIZE OFF
   USE PDRS EXCLUSIVE

   SET FILTER TO VAL(PDRS->BUILD_ID) > 0 .AND. VAL(PDRS->BUILD_ID) < 2 .AND. PDRS->CREATEDATE > CTOD("01.01.2013")
   GO TOP

   DO WHILE !EOF()
      ? PDRS->PDRNR, PDRS->BUILD_ID, PDRS->CREATEDATE, PDRS->LANGUAGE, PDRS->CLOSEBUILD, PDRS->CLOSEDATE,PDRS->PLATFORM,PDRS->CLOSESTATE,PDRS->REF_ID,PDRS->ROLLUPID,PDRS->SYMPTOM
      IF PDRS->CLOSESTATE = "OPEN"
         nOpen++
      ELSE
         nClose++
      ENDIF
      SKIP
   ENDDO
   ? ""
   ? "Open",nOpen,"Closed",nClose


   SET ALTER TO
   Runshell("PDRS19.TXT","Notepad.exe",.T.)

RETURN